<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class BotMessageSharingInfo extends \Google\Protobuf\Internal\Message
{
    


    protected $botEntryPointOrigin = null;
    


    protected $forwardScore = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getBotEntryPointOrigin()
    {
        return isset($this->botEntryPointOrigin) ? $this->botEntryPointOrigin : 0;
    }

    public function hasBotEntryPointOrigin()
    {
        return isset($this->botEntryPointOrigin);
    }

    public function clearBotEntryPointOrigin()
    {
        unset($this->botEntryPointOrigin);
    }

    




    public function setBotEntryPointOrigin($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\BotMetricsEntryPoint::class);
        $this->botEntryPointOrigin = $var;

        return $this;
    }

    



    public function getForwardScore()
    {
        return isset($this->forwardScore) ? $this->forwardScore : 0;
    }

    public function hasForwardScore()
    {
        return isset($this->forwardScore);
    }

    public function clearForwardScore()
    {
        unset($this->forwardScore);
    }

    




    public function setForwardScore($var)
    {
        GPBUtil::checkUint32($var);
        $this->forwardScore = $var;

        return $this;
    }

}

